net.corda.core.node.services

## Class TimestampChecker

- net.corda.core.node.services.TimestampChecker

-     public class TimestampChecker

  Checks if the given timestamp falls within the allowed tolerance interval.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TimestampChecker(java.time.Clock clock, java.time.Duration tolerance)` Checks if the given timestamp falls within the allowed tolerance interval.
    `TimestampChecker()` Checks if the given timestamp falls within the allowed tolerance interval.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.time.Clock` | `getClock()`
    `java.time.Duration` | `getTolerance()`
    `boolean` | `isValid(Timestamp timestampCommand)`

- - ### Constructor Detail

    - #### TimestampChecker

          public TimestampChecker(java.time.Clock clock,
                                  java.time.Duration tolerance)

      Checks if the given timestamp falls within the allowed tolerance interval.

    - #### TimestampChecker

          public TimestampChecker()

      Checks if the given timestamp falls within the allowed tolerance interval.

  - ### Method Detail

    - #### isValid

          public boolean isValid(Timestamp timestampCommand)

    - #### getClock

          public java.time.Clock getClock()

    - #### getTolerance

          public java.time.Duration getTolerance()